.card-group {
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-flow: column wrap;
  flex-flow: column wrap;
  
  @media #{$medium}{
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }

  .card {
    -webkit-box-flex: 1;
    -ms-flex: 1 0 0%;
    flex: 1 0 0% !important;

    @media #{$medium}{
      margin-left: 12px;
    }
  }
}
.card {
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  border: 1px solid;
  font-family: inherit;
  line-height: 1.6;
}


.card--image {
  width: 100%;
}

.card--body {
  padding: 8px 16px;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
}

.card--header {
  border-bottom: 1px solid black;
  padding: 8px 16px;
  background-color: white;
}

.card--footer {
  border-top: 1px solid black;
  padding: 8px 16px;
  background-color: white;
}

@mixin cardStyle($color, $bg) {
  @extend .card;
  color: $color;
  background: $bg;
  border: 1px solid darken($bg, 40%);
}

@each $state, $color in $palettes {
  .card--#{$state} {
    @include cardStyle($white, $color);

    .card--header {
      background: darken($color, 20%);
      border-bottom: 1px solid darken($color, 40%);
    }

    .card--footer {
      background: darken($color, 20%);
      border-top: 1px solid darken($color, 40%);
    }
  }
}

@each $state, $color in $light-palettes {
  .card--#{$state} {
    @include cardStyle($black80, $color)
  }

  .card--header {
    background: $color;
    border-bottom: 1px solid darken($color, 40%);
  }
  
  .card--footer {
    background: $color;
    border-top: 1px solid darken($color, 40%);
  }
}

.progress-bar {
  position: relative;
  overflow: hidden;
  background: rgba(lighten($primary, 40%), 0.3);
  border-radius: 4px;

  .bar {
    display: block;
    height: 4px;
    background: $primary;
    border-radius: 4px;

    @media #{$medium} {
      height: 8px;
    }
  }
}

.hash-container {
  background-color: rgba(lighten($primary, 40%), 0.2);
  padding: 14px 16px;
}